import * as _angular_core from '@angular/core';
import { AfterViewInit, OnDestroy, ElementRef, TemplateRef } from '@angular/core';

declare class ScrollViewWithIndicatorComponent implements AfterViewInit, OnDestroy {
    contentWrapper: ElementRef<HTMLDivElement>;
    scrollState: _angular_core.OutputEmitterRef<number>;
    readonly indicatorButton: _angular_core.InputSignal<TemplateRef<unknown>>;
    readonly isOverflowing: _angular_core.WritableSignal<boolean>;
    readonly isAtBottom: _angular_core.WritableSignal<boolean>;
    private readonly cdr;
    private resizeObserver;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    /**
     * Manually scrolls the content-container to the bottom
     */
    scrollToBottom(): void;
    /**
     * If the user scrolled all the way to the end of the container,
     * the indicator button can be hidden
     */
    onScroll(): void;
    private updateOverflowState;
    private updateScrollState;
    static ɵfac: _angular_core.ɵɵFactoryDeclaration<ScrollViewWithIndicatorComponent, never>;
    static ɵcmp: _angular_core.ɵɵComponentDeclaration<ScrollViewWithIndicatorComponent, "ng-scroll-view-with-indicator", never, { "indicatorButton": { "alias": "indicatorButton"; "required": true; "isSignal": true; }; }, { "scrollState": "scrollState"; }, never, ["*"], true, never>;
}

export { ScrollViewWithIndicatorComponent };
